<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2020 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.3/2027974
 */

return [
    'activity' => [
        'ignored_users' => ['git-fusion-user']
    ],
    'router' => [
        'routes' => [
            'activity' => [
                'type' => 'Zend\Router\Http\Segment',
                'options' => [
                    'route'    => '/activity[/]',
                    'defaults' => [
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index',
                    ],
                ],
            ],
            'activity-rss' => [
                'type' => 'Zend\Router\Http\Segment',
                'options' => [
                    'route'    => '/activity/rss[/]',
                    'defaults' => [
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index',
                        'rss'        => true
                    ],
                ],
            ],
            'activity-stream' => [
                'type' => 'Zend\Router\Http\Segment',
                'options' => [
                    'route'    => '/activity/streams[/:stream][/]',
                    'defaults' => [
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index'
                    ],
                ],
            ],
            'activity-stream-rss' => [
                'type' => 'Zend\Router\Http\Segment',
                'options' => [
                    'route'    => '/activity/streams/[:stream/]rss[/]',
                    'defaults' => [
                        'controller' => Activity\Controller\IndexController::class,
                        'action'     => 'index',
                        'rss'        => true
                    ],
                ],
            ]
        ],
    ],
    'controllers' => [
        'factories' => [
            Activity\Controller\IndexController::class => Application\Controller\IndexControllerFactory::class,
        ],
    ],
    'view_helpers' => [
        'factories' => [
            Application\View\Helper\ViewHelperFactory::ACTIVITY => Application\View\Helper\ViewHelperFactory::class,
        ],
    ],
];
