<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2020 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.3/2027974
 */
namespace TestIntegration\Model;

/**
 * Interface ITest describe the responsibilities of a test definition
 * @package TestIntegration\Model
 */
interface ITestDefinition
{
    /**
     * Set the name
     * @return string
     */
    public function getName() : string;

    /**
     * Get the name
     * @param string $name
     */
    public function setName(string $name);

    /**
     * Get the title
     * @return string
     */
    public function getTitle() : string;

    /**
     * Set the title
     * @param string $title
     */
    public function setTitle(string $title);

    /**
     * Get the url
     * @return string
     */
    public function getUrl() : string;

    /**
     * Set the url
     * @param string $url
     */
    public function setUrl(string $url);

    /**
     * Get the body
     * @return string
     */
    public function getBody();

    /**
     * Set the body (allows null)
     * @param string $body
     */
    public function setBody($body);

    /**
     * Get the encoding
     * @return string
     */
    public function getEncoding() : string;

    /**
     * Set the encoding
     * @param string $encoding
     */
    public function setEncoding(string $encoding);

    /**
     * Get the headers
     * @return mixed
     */
    public function getHeaders();

    /**
     * Set the headers (allow null)
     * @param string $headers
     */
    public function setHeaders($headers);

    /**
     * Get the timeout
     * @return mixed
     */
    public function getTimeout();

    /**
     * Set the timeout
     * @param int $timeout
     */
    public function setTimeout(int $timeout);
}
